Package com.io7m.cardant.protocol.inventory.cb.internal

# Enum Class CAUVFileSearchParameters

java.lang.Object
java.lang.Enum<CAUVFileSearchParameters>
com.io7m.cardant.protocol.inventory.cb.internal.CAUVFileSearchParameters

All Implemented Interfaces:
  `CAProtocolMessageValidatorType<CAFileSearchParameters,CAI1FileSearchParameters>`, `Serializable`, `Comparable<CAUVFileSearchParameters>`, `Constable`

public enum CAUVFileSearchParameters extends Enum<CAUVFileSearchParameters> implements CAProtocolMessageValidatorType<CAFileSearchParameters,CAI1FileSearchParameters>
A validator.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FILE_SEARCH_PARAMETERS`
  A validator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAFileSearchParameters`
  `convertFromWire(CAI1FileSearchParameters message)`
  Convert a wire message to a core message.
  `CAI1FileSearchParameters`
  `convertToWire(CAFileSearchParameters parameters)`
  Convert a core message to a wire message.
  `static CAUVFileSearchParameters`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CAUVFileSearchParameters[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FILE_SEARCH_PARAMETERS

    public static final CAUVFileSearchParameters FILE_SEARCH_PARAMETERS
    A validator.

- ## Method Details

  - ### values

    public static CAUVFileSearchParameters[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CAUVFileSearchParameters valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### convertToWire

    public CAI1FileSearchParameters convertToWire(CAFileSearchParameters parameters) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a core message to a wire message.
    Specified by:
      `convertToWire` in interface `CAProtocolMessageValidatorType<CAFileSearchParameters,CAI1FileSearchParameters>`
    Parameters:
      `parameters` - The core message
    Returns:
      The wire message
    Throws:
      `CAProtocolException` - On errors

  - ### convertFromWire

    public CAFileSearchParameters convertFromWire(CAI1FileSearchParameters message) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a wire message to a core message.
    Specified by:
      `convertFromWire` in interface `CAProtocolMessageValidatorType<CAFileSearchParameters,CAI1FileSearchParameters>`
    Parameters:
      `message` - The wire message
    Returns:
      The core message
    Throws:
      `CAProtocolException` - On errors